[USN-4103-1] docker-credential-helpers vulnerability

Mike Salvatore mike.salvatore at canonical.com
Mon Aug 19 16:36:23 UTC 2019


==========================================================================
Ubuntu Security Notice USN-4103-1
August 19, 2019

docker-credential-helpers vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 19.04

Summary:

docker-credential-helpers could be made to crash or run programs as your login

Software Description:
- golang-github-docker-docker-credential-helpers: Use native stores to safeguard
Docker credentials

Details:

Jasiel Spelman discovered that a double free existed in docker-credential-
helpers. A local attacker could use this to cause a denial of service
(crash) or possibly execute arbitrary code.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 19.04:
  golang-docker-credential-helpers  0.6.1-1ubuntu0.1

In general, a standard system update will make all the necessary changes.

References:
  https://usn.ubuntu.com/4103-1
  CVE-2019-1020014

Package Information:

https://launchpad.net/ubuntu/+source/golang-github-docker-docker-credential-helpers/0.6.1-1ubuntu0.1

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 833 bytes
Desc: OpenPGP digital signature
URL: <https://lists.ubuntu.com/archives/ubuntu-security-announce/attachments/20190819/f448a9a0/attachment.sig>


More information about the ubuntu-security-announce mailing list